﻿package {
	import flash.display.*;
	import flash.events.*;
	
	public class PointingArrow extends MovieClip {
		
		public function PointingArrow() {
			addEventListener(Event.ENTER_FRAME, pointAtCursor);
		}
		
		public function pointAtCursor(event:Event) {
			// get relative mouse location
			var dx:Number = mouseX - pointer.x;
			var dy:Number = mouseY - pointer.y;
			
			// determine angle, convert to degrees
			var cursorAngle:Number = Math.atan2(dy,dx);
			var cursorDegrees:Number = 360*(cursorAngle/(2*Math.PI));
			
			// point at cursor
			pointer.rotation = cursorDegrees;
		}
	}
}